import { h } from 'vue';
import { ElTag } from 'element-plus';

export const columns = [
  {
    type: 'selection',
  },
  {
    label: '文件名称',
    prop: 'originalName',
    render(record) {
      return h('a', {
        href:record.row.filePath,
        target:"_blank"
      },record.row.originalName);
    },
  },
  {
    label: '文件类型',
    prop: 'fileType',
  },
  {
    label: '文件大小',
    prop: 'fileSize',
    render(record) {
      return h('span', record.row.fileSize+'B')
    },
  },
  {
    label: '文件后缀',
    prop:'fileExtension'
  },
  {
    label: '创建人',
    prop: 'createUser',
  },
  {
    label: '创建时间',
    prop: 'createTime',
  },
];
